受邀者已是成员
发生此问题时,API 会返回 409 Conflict。其 type 为 https://lingo.dev/docs/api/errors/invitee-already-member。所有错误的通用结构请参阅错误和状态码。
无法邀请 ada@example.com。该邮箱地址已属于组织 <organizationId> 的一名成员,发送邀请不会改变其角色。请通过组织成员管理更改其角色。
字段#
除标准字段 type、status、title 和 detail 外,响应体还包含以下字段。detail 文本根据这些字段生成,因此客户端也可以显示自定义文本。
| 字段 | 类型 |
|---|---|
organizationId | string |
email | string |
示例#
json
{
"detail": "Cannot invite ada@example.com. That address already belongs to a member of organization <organizationId>, and an invitation would not change their role. Change their role through the organization members instead.",
"organizationId": "<organizationId>",
"email": "ada@example.com",
"type": "https://lingo.dev/docs/api/errors/invitee-already-member",
"status": 409,
"title": "Invitee already a member"
}返回此错误的端点#
POST /v2/organizations/{orgId}/invites